org.apache.commons.math3.analysis

## Interface UnivariateMatrixFunction

All Known Subinterfaces:
  DifferentiableUnivariateMatrixFunction, UnivariateDifferentiableMatrixFunction

    public interface UnivariateMatrixFunction

An interface representing a univariate matrix function.

Since:
  2.0
Version:
  $Id: UnivariateMatrixFunction.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`double[][]` `value(double x)` Compute the value for the function.

### Method Detail

#### value

    double[][] value(double x)

Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value